Subject: Re: VC++ .lib files with g++ ?
From: "Brian Michael Genisio" <[email-masked]>
To: [email-masked] (Larry Hall)
Cc: [email-masked]
Date: Mon, 6 Aug 2001 15:10:07 -0400 (EDT)

Yes, I have tried that... It is a very cryptic solution... I am not sure what
it is telling me to do, or how.

I have also tried your suggestion:
g++ myfile.cpp dsound.lib

This only worked for one of my functions.  Then, I move on to other .lib files,
such as the next undefined reference I have, which is defined in dxguid.lib.
These do not get found... neither do any of he rest I am trying.  Any other
ideas?

Thanks,
Brian

>
> At 02:22 PM 8/6/2001, Brian Michael Genisio wrote:
> >Hey all,
> >
> >I am wondering if it possible to link up against a MS VC++ lib library with
> >g++?
> >
> >
> >I have tried the following :
> >
> >g++ myfile.cpp -ldsound -L./dx/lib
> >
> >where dsound.lib exists in the ./dx/lib directory.  This does not complain
> >about not being able to find the dsound library, but it does not seem to link

> >against it.
> >
> >I still get undefined references to functions defined in that lib.
> >
> >Is there a way to compile .lib libraries with your code?
>
>
> Have you seen and tried:
>
> How do I link against .lib files?
> http://www.cygwin.com/faq/faq_4.html#SEC91
>
> You should be able to short-cut this process by adding dsound.lib to your
> link stream and removing -ldsound though...
>
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
>

--
---------------------------
Brian Genisio
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/